function compute_spec(varargin)

% Find structure and handles
global handles
specs=findobj('Tag','spectrumgen');

% Get contents of the editboxess
projectname=get(handles.specgen.editbox0,'string');
hs1=str2num(get(handles.specgen.editbox1a,'string'));
hs2=str2num(get(handles.specgen.editbox1b,'string'));
tp1=str2num(get(handles.specgen.editbox2a,'string'));
tp2=str2num(get(handles.specgen.editbox2b,'string'));
dir1=str2num(get(handles.specgen.editbox3a,'string'));
dir2=str2num(get(handles.specgen.editbox3b,'string'));
dspr1=str2num(get(handles.specgen.editbox4a,'string'));
dspr2=str2num(get(handles.specgen.editbox4b,'string'));

% clean structure S1
clear S1

% fill structure S1
S1.hs    = [hs1 hs2];
S1.tp    = [tp1 tp2] ;
S1.mdir  = [dir1 dir2];
S1.dspr  = [dspr1 dspr2];
S1.bname = projectname;

% clear variable options
clear options ;
options = [];

% send variables to spectrum computation
M=create_swanspectra(S1,options);

% test
handles.specgen.a=0

% Set handles to 'Userdata' property
set(specs,'UserData',handles)

end